"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.prettyHtml = void 0;
const prettyhtml_1 = __importDefault(require("@starptech/prettyhtml"));
const lint_fn_1 = require("lint-fn");
const fs_1 = require("fs");
const helpers_fn_1 = require("helpers-fn");
const injectOptions = '--print-width 34';
async function prettyHtml(filePath) {
    try {
        await (0, lint_fn_1.execPrettier)({
            filePath,
            prettierSpecialCase: 'html',
            injectOptions,
        });
        const input = (0, fs_1.readFileSync)(filePath, 'utf8');
        const { contents } = await (0, prettyhtml_1.default)(input, {
            printWidth: 55,
            useTabs: true,
            usePrettier: false,
            sortAttributes: true,
        });
        (0, fs_1.writeFileSync)(filePath, contents, 'utf8');
        (0, helpers_fn_1.log)(`${filePath} linted with PrettyHTML`, 'info');
    }
    catch (err) {
        console.log(err, 'prettyHtml');
        (0, helpers_fn_1.log)(`${filePath} fail when linted with PrettyHTML`, 'error');
    }
}
exports.prettyHtml = prettyHtml;
