import { Message, JestSuccessMessage, ParseCoverage, NiketaClientInput } from './interfaces';
export declare class NiketaClient {
    port: number;
    testing: boolean;
    coverageHolder: Record<string, any>;
    emit: (x: any) => void;
    initialized: boolean;
    server: any;
    jestChild: any;
    pytestChild: any;
    constructor(input: NiketaClientInput);
    onPytestMessage(message: Message): Promise<void>;
    onJestMessage(message: Message): Promise<void>;
    handleRequestLint(input: {
        fileName: string;
        lintOnly: boolean;
        lintMessage: string;
        dir: string;
        altLintMode: boolean;
    }): Promise<void>;
    emptyAnswer(fileName: string, reason: string): void;
    lintAnswer(lintMessage: string): void;
    onJestSuccess(input: JestSuccessMessage): void;
    execJest(input: {
        fileName: string;
        dir: string;
        specFileName: string;
    }): Promise<any[]>;
    parseCoverage(parseCoverageInput: ParseCoverage): {
        pass?: undefined;
        message?: undefined;
        uncovered?: undefined;
    } | {
        pass: boolean;
        message: string;
        uncovered?: undefined;
    } | {
        pass: boolean;
        message: string;
        uncovered: string | number;
    };
    getCoverageDiff(inputs: any[], filePath: string): string;
    onCancelMessage(): void;
    onSocketData(messageFromVSCode: any): Promise<void>;
    start(): void;
}
