"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getNewDecorations = void 0;
const extract_console_logs_1 = require("../modules/extract-console-logs");
const evaluate_decorations_1 = require("./evaluate-decorations");
const clean_jest_output_1 = require("./clean-jest-output");
function getNewDecorations(fnInput) {
    const { execResult, fileName, hasTypescript } = fnInput;
    const input = (0, clean_jest_output_1.cleanJestOutput)(execResult.stdout);
    const [consoleLogs] = input.split('----------------------|');
    const newDecorationsData = (0, extract_console_logs_1.extractConsoleLogs)(consoleLogs);
    if (Object.keys(newDecorationsData).length === 0) {
        return { hasDecorations: false };
    }
    const newDecorations = (0, evaluate_decorations_1.evaluateDecorations)({
        newDecorationsData: newDecorationsData,
        fileName,
        hasTypescript,
    });
    return {
        hasDecorations: true,
        newDecorations,
    };
}
exports.getNewDecorations = getNewDecorations;
